Index: code/branches/cegui0.8_ogre1.9/data/gui/layouts/CampaignMenu.layout
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/layouts/CampaignMenu.layout	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/gui/layouts/CampaignMenu.layout	(revision 11793)
@@ -1,178 +1,148 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="MenuWidgets/StaticImage" Name="orxonox/CampaignBackground" >
-        <Property Name="FrameEnabled" Value="False" />
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1.0,0},{1.0,0}}" />
-        <Property Name="BackgroundEnabled" Value="False" />
-
-        <!-- Misson 1************************************* -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission1Text" >
-            <Property Name="Text" Value="Mission One" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.6,0},{0.3,0},{0.65,0}}" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission1Button_clicked"/>
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="CampaignBackground" type="MenuWidgets/StaticImage">
+        <Property name="FrameEnabled" value="False" />
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1.0,0},{1.0,0}}" />
+        <Property name="BackgroundEnabled" value="False" />
+        <Window name="Mission1Text" type="MenuWidgets/Button">
+            <Property name="Text" value="Mission One" />
+            <Property name="Visible" value="False" />
+            <Property name="Area" value="{{0.1,0},{0.6,0},{0.3,0},{0.65,0}}" />
+            <Event function="CampaignMenu.Mission1Button_clicked" name="Clicked" />
         </Window>
-
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission1Button" >
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.75,0},{0.25,0},{0.95,0}}" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission1Button_clicked"/>
+        <Window name="Mission1Button" type="MenuWidgets/JuuButton">
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.1,0},{0.75,0},{0.25,0},{0.95,0}}" />
+            <Event function="CampaignMenu.Mission1Button_clicked" name="Clicked" />
         </Window>
-
-        <!-- Misson 2************************************* -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission2Text" >
-            <Property Name="Text" Value="Fight in our Back" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.6,0},{0.55,0},{0.65,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission2Button_clicked"/>
+        <Window name="Mission2Text" type="MenuWidgets/Button">
+            <Property name="Text" value="Fight in our Back" />
+            <Property name="Visible" value="False" />
+            <Property name="Area" value="{{0.35,0},{0.6,0},{0.55,0},{0.65,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission2Button_clicked" name="Clicked" />
         </Window>
-
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission2Button" >
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.7,0},{0.5,0},{0.85,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission2Button_clicked"/>
+        <Window name="Mission2Button" type="MenuWidgets/JuuButton">
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.4,0},{0.7,0},{0.5,0},{0.85,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission2Button_clicked" name="Clicked" />
         </Window>
-
-        <!-- Misson 3************************************* -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission3Text" >
-            <Property Name="Text" Value="Pirate Attack" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedAreaRect" Value="{{0.6,0},{0.75,0},{0.8,0},{0.8,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission3Button_clicked"/>
+        <Window name="Mission3Text" type="MenuWidgets/Button">
+            <Property name="Text" value="Pirate Attack" />
+            <Property name="Visible" value="False" />
+            <Property name="Area" value="{{0.6,0},{0.75,0},{0.8,0},{0.8,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission3Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission3Button" >
-
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.685,0},{0.605,0},{0.75,0},{0.71,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission3Button_clicked"/>
+        <Window name="Mission3Button" type="MenuWidgets/JuuButton">
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.685,0},{0.605,0},{0.75,0},{0.71,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission3Button_clicked" name="Clicked" />
         </Window>
-
-        <!-- Misson 4************************************* -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission4Text" >
-            <Property Name="Text" Value="Trip to Area 51" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedAreaRect" Value="{{0.575,0},{0.5,0},{0.775,0},{0.55,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission4Button_clicked"/>
+        <Window name="Mission4Text" type="MenuWidgets/Button">
+            <Property name="Text" value="Trip to Area 51" />
+            <Property name="Visible" value="False" />
+            <Property name="Area" value="{{0.575,0},{0.5,0},{0.775,0},{0.55,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission4Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission4Button" >
-
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.78,0},{0.48,0},{0.87,0},{0.59,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission4Button_clicked"/>
+        <Window name="Mission4Button" type="MenuWidgets/JuuButton">
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.78,0},{0.48,0},{0.87,0},{0.59,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission4Button_clicked" name="Clicked" />
         </Window>
-
-        <!-- Misson 5************************************* -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission5Text" >
-            <Property Name="Text" Value="Area 51 under Fire" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedAreaRect" Value="{{0.625,0},{0.4,0},{0.825,0},{0.45,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission5Button_clicked"/>
+        <Window name="Mission5Text" type="MenuWidgets/Button">
+            <Property name="Text" value="Area 51 under Fire" />
+            <Property name="Visible" value="False" />
+            <Property name="Area" value="{{0.625,0},{0.4,0},{0.825,0},{0.45,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission5Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission5Button" >
-
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.725,0},{0.27,0},{0.775,0},{0.37,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission5Button_clicked"/>
+        <Window name="Mission5Button" type="MenuWidgets/JuuButton">
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.725,0},{0.27,0},{0.775,0},{0.37,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission5Button_clicked" name="Clicked" />
         </Window>
-
-        <!-- Misson 6************************************* -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission6Text" >
-            <Property Name="Text" Value="Escape the Bastards" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedAreaRect" Value="{{0.525,0},{0.1,0},{0.725,0},{0.15,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission6Button_clicked"/>
+        <Window name="Mission6Text" type="MenuWidgets/Button">
+            <Property name="Text" value="Escape the Bastards" />
+            <Property name="Visible" value="False" />
+            <Property name="Area" value="{{0.525,0},{0.1,0},{0.725,0},{0.15,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission6Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission6Button" >
-
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.6,0},{0.17,0},{0.65,0},{0.27,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission6Button_clicked"/>
+        <Window name="Mission6Button" type="MenuWidgets/JuuButton">
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.6,0},{0.17,0},{0.65,0},{0.27,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission6Button_clicked" name="Clicked" />
         </Window>
-
-        <!-- Misson 7************************************* -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission7Text" >
-            <Property Name="Text" Value="Expedition to Sector 5C" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission7Button_clicked"/>
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.025,0},{0.6,0},{0.075,0}}" />
+        <Window name="Mission7Text" type="MenuWidgets/Button">
+            <Property name="Text" value="Expedition to Sector 5C" />
+            <Property name="Visible" value="False" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission7Button_clicked" name="Clicked" />
+            <Property name="Area" value="{{0.4,0},{0.025,0},{0.6,0},{0.075,0}}" />
         </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission7Button" >
-
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.47,0},{0.13,0},{0.525,0},{0.23,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission7Button_clicked"/>
+        <Window name="Mission7Button" type="MenuWidgets/JuuButton">
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.47,0},{0.13,0},{0.525,0},{0.23,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission7Button_clicked" name="Clicked" />
         </Window>
-
-        <!-- Misson 8************************************* -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission8Text" >
-            <Property Name="Text" Value="Shuttle under Attack" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="Disabled" Value="True" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2,0},{0.45,0},{0.25,0}}" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission8Button_clicked"/>
+        <Window name="Mission8Text" type="MenuWidgets/Button">
+            <Property name="Text" value="Shuttle under Attack" />
+            <Property name="Visible" value="False" />
+            <Property name="Disabled" value="True" />
+            <Property name="Area" value="{{0.25,0},{0.2,0},{0.45,0},{0.25,0}}" />
+            <Event function="CampaignMenu.Mission8Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission8Button" >
-
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.33,0},{0.1,0},{0.38,0},{0.18,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission8Button_clicked"/>
+        <Window name="Mission8Button" type="MenuWidgets/JuuButton">
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.33,0},{0.1,0},{0.38,0},{0.18,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission8Button_clicked" name="Clicked" />
         </Window>
-
-        <!-- Misson 9************************************* -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission9Text" >
-            <Property Name="Text" Value="Retaliation" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="Disabled" Value="True" />
-            <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.145,0},{0.3,0},{0.195,0}}" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission9Button_clicked"/>
+        <Window name="Mission9Text" type="MenuWidgets/Button">
+            <Property name="Text" value="Retaliation" />
+            <Property name="Visible" value="False" />
+            <Property name="Disabled" value="True" />
+            <Property name="Area" value="{{0.1,0},{0.145,0},{0.3,0},{0.195,0}}" />
+            <Event function="CampaignMenu.Mission9Button_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission9Button" >
-
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.18,0},{0.07,0},{0.24,0},{0.145,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission9Button_clicked"/>
+        <Window name="Mission9Button" type="MenuWidgets/JuuButton">
+            <Property name="Visible" value="False" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.18,0},{0.07,0},{0.24,0},{0.145,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="CampaignMenu.Mission9Button_clicked" name="Clicked" />
         </Window>
-
-        <!-- Back Button************************************* -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/CampaignMenuBackButton" >
-            <Property Name="Text" Value="Back" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.75,0},{0.9,0},{0.95,0},{0.95,0}}" />
-            <Event Name="Clicked" Function="CampaignMenu.CampaignMenuBackButton_clicked"/> 
+        <Window name="CampaignMenuBackButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Back" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.75,0},{0.9,0},{0.95,0},{0.95,0}}" />
+            <Event function="CampaignMenu.CampaignMenuBackButton_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/CampaignMenuCongratulation" >
-            <Property Name="Text" Value="Campaign Completed!!!" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedMaxSize" Value="{{2,1},{2,1}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.15,0},{0.6,0},{0.2,0}}" />
+        <Window name="CampaignMenuCongratulation" type="MenuWidgets/StaticText">
+            <Property name="Text" value="Campaign Completed!!!" />
+            <Property name="Visible" value="False" />
+            <Property name="InheritsAlpha" value="False" />
+            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="VertFormatting" value="TopAligned" />
+            <Property name="MaxSize" value="{{2,1},{2,1}}" />
+            <Property name="Area" value="{{0.4,0},{0.15,0},{0.6,0},{0.2,0}}" />
         </Window>
     </Window>