Index: code/branches/cegui0.8_ogre1.9/src/orxonox/CMakeLists.txt
===================================================================
--- code/branches/cegui0.8_ogre1.9/src/orxonox/CMakeLists.txt	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/src/orxonox/CMakeLists.txt	(revision 11795)
@@ -71,4 +71,5 @@
   LINK_LIBRARIES
     ${OGRE_LIBRARY}
+    ${OGRE_OVERLAY_LIBRARY}
     ${CEGUI}
     ${LUA5.1_LIBRARY}
Index: code/branches/cegui0.8_ogre1.9/src/orxonox/RenderQueueListener.cc
===================================================================
--- code/branches/cegui0.8_ogre1.9/src/orxonox/RenderQueueListener.cc	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/src/orxonox/RenderQueueListener.cc	(revision 11795)
@@ -83,4 +83,7 @@
             renderSystem->setStencilBufferParams(Ogre::CMPF_ALWAYS_PASS,
                 STENCIL_VALUE_FOR_GLOW, STENCIL_FULL_MASK, 
+#if OGRE_VERSION >= 0x010900
+                STENCIL_FULL_MASK,
+#endif
                 Ogre::SOP_KEEP,Ogre::SOP_KEEP,Ogre::SOP_REPLACE,false);       
         } 
@@ -91,4 +94,7 @@
             renderSystem->setStencilBufferParams(Ogre::CMPF_NOT_EQUAL,
                 STENCIL_VALUE_FOR_GLOW, STENCIL_FULL_MASK, 
+#if OGRE_VERSION >= 0x010900
+                STENCIL_FULL_MASK,
+#endif
                 Ogre::SOP_KEEP,Ogre::SOP_KEEP,Ogre::SOP_REPLACE,false);       
         }
Index: code/branches/cegui0.8_ogre1.9/src/orxonox/Scene.cc
===================================================================
--- code/branches/cegui0.8_ogre1.9/src/orxonox/Scene.cc	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/src/orxonox/Scene.cc	(revision 11795)
@@ -40,4 +40,7 @@
 #include <OgreSceneManagerEnumerator.h>
 #include <OgreSceneNode.h>
+#if OGRE_VERSION >= 0x010900
+#   include <Overlay/OgreOverlaySystem.h>
+#endif
 
 #include <BulletCollision/BroadphaseCollision/btAxisSweep3.h>
@@ -90,4 +93,7 @@
             this->renderQueueListener_ = new RenderQueueListener();
             this->sceneManager_->addRenderQueueListener(this->renderQueueListener_);//add our own renderQueueListener
+#if OGRE_VERSION >= 0x010900
+            this->sceneManager_->addRenderQueueListener(GraphicsManager::getInstance().getOverlaySystem());
+#endif
 
             this->radar_ = new Radar();
@@ -134,4 +140,7 @@
             if (GameMode::showsGraphics())
             {
+#if OGRE_VERSION >= 0x010900
+                this->sceneManager_->removeRenderQueueListener(GraphicsManager::getInstance().getOverlaySystem());
+#endif
                 this->sceneManager_->removeRenderQueueListener(this->renderQueueListener_);
                 delete this->renderQueueListener_;
Index: code/branches/cegui0.8_ogre1.9/src/orxonox/chat/ChatInputHandler.cc
===================================================================
--- code/branches/cegui0.8_ogre1.9/src/orxonox/chat/ChatInputHandler.cc	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/src/orxonox/chat/ChatInputHandler.cc	(revision 11795)
@@ -131,15 +131,32 @@
     /* GET WINDOW POINTERS */
 #if CEGUI_VERSION >= 0x000800
-    input = CEGUI::System::getSingleton().getDefaultGUIContext().getRootWindow()->getChild( "orxonox/ChatBox/input" );
-    inputonly = CEGUI::System::getSingleton().getDefaultGUIContext().getRootWindow()->getChild( "orxonox/ChatBox-inputonly/input" );
-    CEGUI::Window *history = CEGUI::System::getSingleton().getDefaultGUIContext().getRootWindow()->getChild( "orxonox/ChatBox/history" );
+    //input = CEGUI::System::getSingleton().getDefaultGUIContext().getRootWindow()->getChild( "ChatBox/input" );
+    //const CEGUI::Window* root = CEGUI::System::getSingleton().getDefaultGUIContext().getRootWindow()->getChild("MenuRootWindow");
+    //std::cout << "Count: " << root->getChildCount() << std::endl;
+    //for (int i = 0; i < root->getChildCount(); ++i) {
+    //	std::cout << "Child: " << root->getChildAtIdx(i)->getName() << std::endl;
+    //}
+    for (auto iterator = CEGUI::WindowManager::getSingleton().getIterator(); !iterator.isAtEnd(); iterator++) {
+    	CEGUI::Window* currentWindow = iterator.getCurrentValue();
+    	if (currentWindow->getName().compare("ChatBox") == 0) {
+    		input = currentWindow->getChild("frame")->getChild("input");
+    		CEGUI::Window* history = currentWindow->getChild("frame")->getChild("history");
+    		lb_history = dynamic_cast<CEGUI::Listbox*>(history);
+    	} else if (currentWindow->getName().compare("ChatBox-inputonly") == 0) {
+    		inputonly = currentWindow->getChild("input");
+    	}
+    }
+
+    //input = CEGUI::System::getSingleton().getDefaultGUIContext().getRootWindow()->getChild( "ChatBox" )->getChild("frame")->getChild("input");
+    //inputonly = CEGUI::System::getSingleton().getDefaultGUIContext().getRootWindow()->getChild( "orxonox/ChatBox-inputonly/input" );
+    //CEGUI::Window *history = CEGUI::System::getSingleton().getDefaultGUIContext().getRootWindow()->getChild( "orxonox/ChatBox/history" );
 #else
     input = CEGUI::WindowManager::getSingleton().getWindow( "orxonox/ChatBox/input" );
     inputonly = CEGUI::WindowManager::getSingleton().getWindow( "orxonox/ChatBox-inputonly/input" );
     CEGUI::Window *history = CEGUI::WindowManager::getSingleton().getWindow( "orxonox/ChatBox/history" );
-#endif
 
     /* cast it to a listbox */
     lb_history = dynamic_cast<CEGUI::Listbox*>(history);
+#endif
 
     /* assert wee */
Index: code/branches/cegui0.8_ogre1.9/src/orxonox/controllers/NewHumanController.cc
===================================================================
--- code/branches/cegui0.8_ogre1.9/src/orxonox/controllers/NewHumanController.cc	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/src/orxonox/controllers/NewHumanController.cc	(revision 11795)
@@ -397,5 +397,10 @@
                 try
                 {
-                    wePtr = orxonox_cast<WorldEntity*>(Ogre::any_cast<OrxonoxClass*>(itr->movable->getUserAny()));
+#if OGRE_VERSION >= 0x010900
+                    const Ogre::Any& any = itr->movable->getUserObjectBindings().getUserAny();
+#else
+                    const Ogre::Any& any = itr->movable->getUserAny();
+#endif
+                    wePtr = orxonox_cast<WorldEntity*>(Ogre::any_cast<OrxonoxClass*>(any));
                 }
                 catch (...)
Index: code/branches/cegui0.8_ogre1.9/src/orxonox/graphics/AnimatedModel.cc
===================================================================
--- code/branches/cegui0.8_ogre1.9/src/orxonox/graphics/AnimatedModel.cc	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/src/orxonox/graphics/AnimatedModel.cc	(revision 11795)
@@ -49,6 +49,6 @@
     AnimatedModel::~AnimatedModel()
     {
-        if (this->isInitialized() && this->mesh_.getEntity())
-            this->detachOgreObject(this->mesh_.getEntity());
+        if (this->isInitialized() && this->getMesh().getEntity())
+            this->detachOgreObject(this->getMesh().getEntity());
     }
 
@@ -66,15 +66,15 @@
         if (GameMode::showsGraphics())
         {
-            if (this->mesh_.getEntity())
-                this->detachOgreObject(this->mesh_.getEntity());
+            if (this->getMesh().getEntity())
+                this->detachOgreObject(this->getMesh().getEntity());
 
-            this->mesh_.setMeshSource(this->getScene()->getSceneManager(), this->meshSrc_);
+            this->getMesh().setMeshSource(this->getScene()->getSceneManager(), this->getMeshSource());
 
-            if (this->mesh_.getEntity())
+            if (this->getMesh().getEntity())
             {
-                this->attachOgreObject(this->mesh_.getEntity());
-                this->mesh_.getEntity()->setCastShadows(this->bCastShadows_);
+                this->attachOgreObject(this->getMesh().getEntity());
+                this->getMesh().getEntity()->setCastShadows(this->getCastShadows());
                 this->setAnimationState(this->bAnimLoop_, this->bAnimEnabled_, this->anims_);
-                this->mesh_.setVisible(this->isVisible());
+                this->getMesh().setVisible(this->isVisible());
             }
         }
@@ -89,7 +89,7 @@
         if(state!="")
         {
-        if(this->mesh_.getEntity()->getAnimationState(state))
+        if(this->getMesh().getEntity()->getAnimationState(state))
         {
-        Ogre::AnimationState* as = this->mesh_.getEntity()->getAnimationState(state);
+        Ogre::AnimationState* as = this->getMesh().getEntity()->getAnimationState(state);
         as->setLoop(loop);
         as->setEnabled(enabled);
@@ -109,9 +109,9 @@
     void AnimatedModel::tick(float dt)
     {
-        if(this->mesh_.getEntity()->getAnimationState(anims_))
+        if(this->getMesh().getEntity()->getAnimationState(anims_))
         {
 // Test to change Material at runtime!
 
-//            Ogre::MaterialPtr mat = this->mesh_.getEntity()->getSubEntity(0)->getMaterial();
+//            Ogre::MaterialPtr mat = this->getMesh().getEntity()->getSubEntity(0)->getMaterial();
 //            mat->setDiffuse(0.4, 0.3, 0.1, 0.1);
 //            mat->setAmbient(0.3, 0.7, 0.8);
@@ -121,5 +121,5 @@
 //            mat->setSceneBlending(sbt);
 
-            Ogre::AnimationState* as = this->mesh_.getEntity()->getAnimationState(anims_);
+            Ogre::AnimationState* as = this->getMesh().getEntity()->getAnimationState(anims_);
             as->addTime(dt);
     }
Index: code/branches/cegui0.8_ogre1.9/src/orxonox/graphics/Camera.cc
===================================================================
--- code/branches/cegui0.8_ogre1.9/src/orxonox/graphics/Camera.cc	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/src/orxonox/graphics/Camera.cc	(revision 11795)
@@ -62,5 +62,10 @@
 
         this->camera_ = this->getScene()->getSceneManager()->createCamera(getUniqueNumberString());
-        static_cast<Ogre::MovableObject*>(this->camera_)->setUserAny(Ogre::Any(static_cast<OrxonoxClass*>(this)));
+        Ogre::MovableObject* movable = static_cast<Ogre::MovableObject*>(this->camera_);
+#if OGRE_VERSION >= 0x010900
+        movable->getUserObjectBindings().setUserAny(Ogre::Any(static_cast<OrxonoxClass*>(this)));
+#else
+        movable->setUserAny(Ogre::Any(static_cast<OrxonoxClass*>(this)));
+#endif
         this->cameraNode_ = this->getScene()->getRootSceneNode()->createChildSceneNode();
         this->attachNode(this->cameraNode_);
Index: code/branches/cegui0.8_ogre1.9/src/orxonox/graphics/Model.cc
===================================================================
--- code/branches/cegui0.8_ogre1.9/src/orxonox/graphics/Model.cc	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/src/orxonox/graphics/Model.cc	(revision 11795)
@@ -30,5 +30,10 @@
 
 #include <OgreEntity.h>
-#include <OgreProgressiveMesh.h>
+#if OGRE_VERSION >= 0x010900
+#   include <OgreProgressiveMeshGenerator.h>
+#   include <OgreDistanceLodStrategy.h>
+#else
+#   include <OgreProgressiveMesh.h>
+#endif
 
 #include "core/CoreIncludes.h"
@@ -203,19 +208,9 @@
             {
                 float volume = this->mesh_.getEntity()->getBoundingBox().volume();
-/*
-                float scaleFactor = 1;
-
-                BaseObject* creatorPtr = this;
-
-                while(creatorPtr!=nullptr&&orxonox_cast<WorldEntity*>(creatorPtr))
-                {
-                    scaleFactor *= getBiggestScale(((WorldEntity*) creatorPtr)->getScale3D());
-                    creatorPtr = creatorPtr->getCreator();
-                }
-                orxout() << "name: " << this->meshSrc_ << "scaleFactor: " << scaleFactor << ", volume: " << volume << endl;
-*/
                 orxout(verbose, context::lod) << "Setting lodLevel for " << this->meshSrc_<< " with lodLevel_: " << this->lodLevel_ <<" and volume: "<< volume << ":" << endl;
 
-#if OGRE_VERSION >= 0x010800
+#if OGRE_VERSION >= 0x010900
+                Ogre::LodConfig::LodLevelList distList;
+#elif OGRE_VERSION >= 0x010800
                 Ogre::ProgressiveMesh::LodValueList distList;
 #elif OGRE_VERSION >= 0x010700
@@ -227,19 +222,18 @@
                 if( lodLevel_>0 )
                 {
-//                    float factor = scaleFactor*5/lodLevel_;
                     float factor = pow(volume, 2.0f / 3.0f) * 15.0f / lodLevel_;
 
                     orxout(verbose, context::lod) << "LodLevel set with factor: " << factor << endl;
 
-                    distList.push_back(70.0f*factor);
-                    distList.push_back(140.0f*factor);
-                    distList.push_back(170.0f*factor);
-                    distList.push_back(200.0f*factor);
-                    distList.push_back(230.0f*factor);
-                    distList.push_back(250.0f*factor);
-                    distList.push_back(270.0f*factor);
-                    distList.push_back(290.0f*factor);
-                    distList.push_back(310.0f*factor);
-                    distList.push_back(330.0f*factor);
+                    addLodDistanceToList(distList, 70.0f*factor);
+                    addLodDistanceToList(distList, 140.0f*factor);
+                    addLodDistanceToList(distList, 170.0f*factor);
+                    addLodDistanceToList(distList, 200.0f*factor);
+                    addLodDistanceToList(distList, 230.0f*factor);
+                    addLodDistanceToList(distList, 250.0f*factor);
+                    addLodDistanceToList(distList, 270.0f*factor);
+                    addLodDistanceToList(distList, 290.0f*factor);
+                    addLodDistanceToList(distList, 310.0f*factor);
+                    addLodDistanceToList(distList, 330.0f*factor);
                     while(distList.size()>this->numLodLevels_)
                         distList.pop_back();
@@ -247,5 +241,13 @@
 
                     //Generiert LOD-Levels
-#if OGRE_VERSION >= 0x010800
+#if OGRE_VERSION >= 0x010900
+                    Ogre::LodConfig config;
+                    config.mesh = this->mesh_.getEntity()->getMesh();
+                    config.levels = distList;
+                    config.strategy = Ogre::DistanceLodSphereStrategy::getSingletonPtr();
+
+                    Ogre::ProgressiveMeshGenerator generator;
+                    generator.generateLodLevels(config);
+#elif OGRE_VERSION >= 0x010800
                     Ogre::ProgressiveMesh::generateLodLevels(this->mesh_.getEntity()->getMesh().get(), distList, Ogre::ProgressiveMesh::VRQ_PROPORTIONAL,
                         this->lodReductionRate_);
@@ -270,3 +272,13 @@
 #endif
     }
+
+    template <class T>
+    void Model::addLodDistanceToList(T& list, float distance)
+    {
+#if OGRE_VERSION >= 0x010900
+        list.push_back({distance, Ogre::LodLevel::VRM_COLLAPSE_COST, this->lodReductionRate_, 0, false});
+#else
+        list.push_back(distance);
+#endif
+    }
 }
Index: code/branches/cegui0.8_ogre1.9/src/orxonox/graphics/Model.h
===================================================================
--- code/branches/cegui0.8_ogre1.9/src/orxonox/graphics/Model.h	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/src/orxonox/graphics/Model.h	(revision 11795)
@@ -89,4 +89,11 @@
 
         protected:
+            inline Mesh& getMesh()
+                { return this->mesh_; }
+
+            inline void setLodEnabled(bool bLodEnabled)
+                { this->bLodEnabled_ = bLodEnabled; }
+
+        private:
             /**
             @brief
@@ -108,4 +115,7 @@
             //LoD
             void enableLod();
+
+            template <class T>
+            void addLodDistanceToList(T& list, float distance);
 
             inline void setLodLevel(float lodLevel)
Index: code/branches/cegui0.8_ogre1.9/src/orxonox/overlays/InGameConsole.cc
===================================================================
--- code/branches/cegui0.8_ogre1.9/src/orxonox/overlays/InGameConsole.cc	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/src/orxonox/overlays/InGameConsole.cc	(revision 11795)
@@ -32,12 +32,24 @@
 #include <algorithm>
 #include <string>
-#include <OgreOverlay.h>
-#include <OgreOverlayElement.h>
-#include <OgreOverlayManager.h>
-#include <OgreOverlayContainer.h>
-#include <OgreBorderPanelOverlayElement.h>
-#include <OgreTextAreaOverlayElement.h>
-#include <OgreFontManager.h>
-#include <OgreFont.h>
+#include <OgrePrerequisites.h>
+#if OGRE_VERSION >= 0x010900
+#   include <Overlay/OgreOverlay.h>
+#   include <Overlay/OgreOverlayElement.h>
+#   include <Overlay/OgreOverlayManager.h>
+#   include <Overlay/OgreOverlayContainer.h>
+#   include <Overlay/OgreBorderPanelOverlayElement.h>
+#   include <Overlay/OgreTextAreaOverlayElement.h>
+#   include <Overlay/OgreFontManager.h>
+#   include <Overlay/OgreFont.h>
+#else
+#   include <OgreOverlay.h>
+#   include <OgreOverlayElement.h>
+#   include <OgreOverlayManager.h>
+#   include <OgreOverlayContainer.h>
+#   include <OgreBorderPanelOverlayElement.h>
+#   include <OgreTextAreaOverlayElement.h>
+#   include <OgreFontManager.h>
+#   include <OgreFont.h>
+#endif
 
 #include "util/Clock.h"
Index: code/branches/cegui0.8_ogre1.9/src/orxonox/overlays/OrxonoxOverlay.cc
===================================================================
--- code/branches/cegui0.8_ogre1.9/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 11795)
@@ -35,7 +35,13 @@
 
 #include <cmath>
-#include <OgreOverlay.h>
-#include <OgreOverlayManager.h>
-#include <OgrePanelOverlayElement.h>
+#if OGRE_VERSION >= 0x010900
+#   include <Overlay/OgreOverlay.h>
+#   include <Overlay/OgreOverlayManager.h>
+#   include <Overlay/OgrePanelOverlayElement.h>
+#else
+#   include <OgreOverlay.h>
+#   include <OgreOverlayManager.h>
+#   include <OgrePanelOverlayElement.h>
+#endif
 #include <OgreRenderWindow.h>
 #include <OgreMaterialManager.h>
Index: code/branches/cegui0.8_ogre1.9/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- code/branches/cegui0.8_ogre1.9/src/orxonox/worldentities/WorldEntity.cc	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/src/orxonox/worldentities/WorldEntity.cc	(revision 11795)
@@ -548,5 +548,9 @@
     {
         this->node_->attachObject(object);
+#if OGRE_VERSION >= 0x010900
+        object->getUserObjectBindings().setUserAny(Ogre::Any(static_cast<OrxonoxClass*>(this)));
+#else
         object->setUserAny(Ogre::Any(static_cast<OrxonoxClass*>(this)));
+#endif
     }
 
@@ -563,5 +567,9 @@
     void WorldEntity::detachOgreObject(Ogre::MovableObject* object)
     {
+#if OGRE_VERSION >= 0x010900
+        object->getUserObjectBindings().setUserAny(Ogre::Any(static_cast<OrxonoxClass*>(nullptr)));
+#else
         object->setUserAny(Ogre::Any(static_cast<OrxonoxClass*>(nullptr)));
+#endif
         this->node_->detachObject(object);
     }