Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/CreditsMenu.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/CreditsMenu.lua	(revision 11795)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/CreditsMenu.lua	(revision 11797)
@@ -7,5 +7,5 @@
 function P.onLoad()
     P:setButton(1, 1, {
-            ["button"] = winMgr:getWindow("orxonox/CreditsBackButton"),
+            ["button"] = P.window:getChild("CreditsBackButton"),
             ["callback"]  = P.CreditsBackButton_clicked
     })
@@ -13,8 +13,8 @@
 
 function P.onShow()
-    local description = winMgr:getWindow("orxonox/CreditsText")
+    local description = P.window:getChild("CreditsWindow/CreditsMenuWrapper/CreditsMenuPane/CreditsText")
 
     height = getStaticTextWindowHeight(description)
-    description:setSize(CEGUI.UVector2(CEGUI.UDim(1.0, -P.scrollbarWidth), CEGUI.UDim(0.0, height)))
+    description:setSize(CEGUI.USize(CEGUI.UDim(1.0, -P.scrollbarWidth), CEGUI.UDim(0.0, height)))
 end
 
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/GUITools.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/GUITools.lua	(revision 11795)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/GUITools.lua	(revision 11797)
@@ -51,5 +51,5 @@
     local formattedArea = lookAndFeel:getNamedArea("WithFrameTextRenderArea"):getArea():getPixelRect(window)
     -- Calculate the pixel height of the frame by subtracting the height of the area above from the total height of the window.
-    local frameHeight = window:getUnclippedOuterRect():getHeight() - formattedArea:getHeight()
+    local frameHeight = window:getUnclippedOuterRect():get():getHeight() - formattedArea:getHeight()
 
     local height = 0
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/SingleplayerMenu.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/SingleplayerMenu.lua	(revision 11795)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/SingleplayerMenu.lua	(revision 11797)
@@ -25,20 +25,20 @@
     --buttons are arranged in a 2x3 matrix
     P:setButton(1, 1, {
-            ["button"] = winMgr:getWindow("orxonox/SingleplayerStartButton"),
+            ["button"] = P.window:getChild("SingleplayerStartButton"),
             ["callback"]  = P.SingleplayerStartButton_clicked
     })
 
     P:setButton(1, 2, {
-            ["button"] = winMgr:getWindow("orxonox/SingleplayerConfigButton"),
+            ["button"] = P.window:getChild("SingleplayerConfigButton"),
             ["callback"]  = P.SingleplayerConfigButton_clicked
     })
 
     P:setButton(1, 3, {
-            ["button"] = winMgr:getWindow("orxonox/SingleplayerBackButton"),
+            ["button"] = P.window:getChild("SingleplayerBackButton"),
             ["callback"]  = P.SingleplayerBackButton_clicked
     })
 
     P:setButton(2, 2,{
-            ["button"] = winMgr:getWindow("orxonox/CampaignButton"),
+            ["button"] = P.window:getChild("CampaignButton"),
             ["callback"] = P.CampaignButton_clicked
     })
@@ -57,7 +57,7 @@
             local imageName = level:getScreenshot()
             if imageName ~= "" then
-                CEGUI.ImagesetManager:getSingleton():createFromImageFile(levelXMLFilename..imageName, imageName)
+                CEGUI.ImageManager:getSingleton():addFromImageFile(levelXMLFilename..imageName, imageName)
             else
-                CEGUI.ImagesetManager:getSingleton():createFromImageFile(levelXMLFilename..imageName, "noscreenshot.png")
+                CEGUI.ImageManager:getSingleton():addFromImageFile(levelXMLFilename..imageName, "noscreenshot.png")
             end
             table.insert(P.levelList, level)
@@ -69,5 +69,5 @@
 function P.createFilterTab(name, tag)
     -- create unique tab window name
-    local tabName = "orxonox/SingleplayerLevelTab"
+    local tabName = "SingleplayerLevelTab"
     if tag ~= nil then
         tabName = tabName..tag
@@ -76,6 +76,6 @@
     local listbox = CEGUI.toListbox(winMgr:createWindow("MenuWidgets/Listbox", tabName))
     listbox:setText(name)
-    listbox:setProperty("UnifiedMaxSize", "{{1,0},{1,0}}")
-    listbox:setProperty("UnifiedAreaRect", "{{0.05,0},{0.1,0},{0.5,0},{0.675,0}}")
+    listbox:setProperty("MaxSize", "{{1,0},{1,0}}")
+    listbox:setProperty("Area", "{{0.05,0},{0.1,0},{0.5,0},{0.675,0}}")
     -- fill listbox with items
     listbox:resetList()
@@ -98,9 +98,9 @@
     table.insert(P.activeTabIndexes, tabIndexes)
     -- listen to selection changes
-    orxonox.GUIManager:subscribeEventHelper(listbox, "ItemSelectionChanged", P.name..".SingleplayerSelectionChanged")
-    local tabControl = winMgr:getWindow("orxonox/SingleplayerTabControl")
-    orxonox.GUIManager:subscribeEventHelper(tabControl, "TabSelectionChanged", P.name..".SingleplayerSelectionChanged")
+    orxonox.GUIManager:subscribeEventHelper(listbox, "SelectionChanged", P.name..".SingleplayerSelectionChanged")
+    local tabControl = P.window:getChild("SingleplayerWindow/SingleplayerTabControl")
+    orxonox.GUIManager:subscribeEventHelper(tabControl, "SelectionChanged", P.name..".SingleplayerSelectionChanged")
     if listbox:getItemCount() > 0 then
-        tabControl:addChildWindow(tabName)
+        tabControl:addChild(listbox)
     end
 end
@@ -108,5 +108,5 @@
 function P.SingleplayerGetSelectedLevel()
     -- choose the active listbox
-    local tabControl = CEGUI.toTabControl(winMgr:getWindow("orxonox/SingleplayerTabControl"))
+    local tabControl = CEGUI.toTabControl(P.window:getChild("SingleplayerWindow/SingleplayerTabControl"))
     local listbox = CEGUI.toListbox(tabControl:getTabContentsAtIndex(tabControl:getSelectedTabIndex()))
     local choice = listbox:getFirstSelectedItem()
@@ -122,7 +122,7 @@
 
 function P.SingleplayerSelectionChanged(e)
-    local levelImage = winMgr:getWindow("orxonox/SingleplayerLevelImage")
-    local levelDescription = winMgr:getWindow("orxonox/SingleplayerLevelDescription")
-    local configButton = winMgr:getWindow("orxonox/SingleplayerConfigButton")
+    local levelImage = P.window:getChild("SingleplayerWindow/SingleplayerLevelImage")
+    local levelDescription = P.window:getChild("SingleplayerWindow/SingleplayerLevelDescription")
+    local configButton = P.window:getChild("SingleplayerConfigButton")
     local level = P.SingleplayerGetSelectedLevel()
     if level ~= nil then
@@ -130,5 +130,5 @@
         local imageName = level:getScreenshot()
         -- set the screenshot and the description for the selected level
-        levelImage:setProperty("Image", levelXMLFilename..imageName.."/full_image")
+        levelImage:setProperty("Image", levelXMLFilename..imageName)
         levelDescription:setText(level:getDescription())
         -- only enable config button for "gametype" levels