Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/NotificationLayer.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/NotificationLayer.lua	(revision 11801)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/NotificationLayer.lua	(revision 11802)
@@ -10,16 +10,15 @@
 function P.onLoad()
     orxonox.NotificationManager:getInstance():loadQueues()
-    P.sampleWindow = winMgr:createWindow("MenuWidgets/StaticText", "orxonox/NotificationLayer/Root/SampleWindow")
+    P.sampleWindow = winMgr:createWindow("MenuWidgets/StaticText", "NotificationLayer/Root/SampleWindow")
 end
 
 -- Creates a queue in the GUI.
 function P.createQueue(name, size)
-    local root = winMgr:getWindow("orxonox/NotificationLayer/Root")
     --local queue = winMgr:createWindow("MenuWidgets/Listbox", "orxonox/NotificationLayer/Root/Queue/" .. name)
     --queue:setProperty("BackgroundColor", "00FFFFFF") -- Set background to be fully transparent.
-    local queue = winMgr:createWindow("MenuWidgets/ScrollablePane", "orxonox/NotificationLayer/Root/Queue/" .. name)
+    local queue = winMgr:createWindow("MenuWidgets/ScrollablePane", name)
     queue:setProperty("Alpha", 0.0)
     --queue:setProperty("FrameEnabled", "false")
-    root:addChildWindow(queue)
+    P.window:addChild(queue)
 
     local queueTuple =
@@ -38,5 +37,5 @@
     
     queue:setPosition(CEGUI.UVector2(CEGUI.UDim(0, 0), CEGUI.UDim(0, 0)))
-    queue:setSize(CEGUI.UVector2(CEGUI.UDim(1.0, 0), CEGUI.UDim(0, P.queueHeightHelper(queueTuple, size))))
+    queue:setSize(CEGUI.USize(CEGUI.UDim(1.0, 0), CEGUI.UDim(0, P.queueHeightHelper(queueTuple, size))))
 
     P.queueList[name] = queueTuple -- name access
@@ -49,5 +48,5 @@
 
     if queue ~= nil then
-        queue.window:getParent():removeChildWindow(queue.window)
+        queue.window:getParent():removeChild(queue.window)
         winMgr:destroyWindow(queue.window)
     end
@@ -66,5 +65,5 @@
     end
 
-    local item = winMgr:createWindow("MenuWidgets/StaticText", "orxonox/NotificationLayer/Root/Queue/" .. queueName .. "/" .. queue.last)
+    local item = winMgr:createWindow("MenuWidgets/StaticText", queue.last)
     item:setText(notification)
     P.setItemFontHelper(item, queue, true)
@@ -77,6 +76,6 @@
         end
     end
-    queue.window:addChildWindow(item)
-    item:setSize(CEGUI.UVector2(CEGUI.UDim(1, 0), CEGUI.UDim(0, itemHeight)))
+    queue.window:addChild(item)
+    item:setSize(CEGUI.USize(CEGUI.UDim(1, 0), CEGUI.UDim(0, itemHeight)))
     item:setPosition(CEGUI.UVector2(CEGUI.UDim(0, 0), CEGUI.UDim(0, 0)))
     item:setProperty("Alpha", 1.0)
@@ -102,5 +101,5 @@
     local item = queue.items[queue.first]
     -- Removes the item from the bottom of the queue.
-    queue.window:removeChildWindow(item)
+    queue.window:removeChild(item)
     winMgr:destroyWindow(item)
     queue.first = queue.first+1
@@ -127,5 +126,5 @@
     -- Removes the item.
     local item = queue.items[index]
-    queue.window:removeChildWindow(item)
+    queue.window:removeChild(item)
     winMgr:destroyWindow(item)
     queue.items[index] = nil
@@ -159,5 +158,5 @@
     for i=queue.first,queue.last-1 do
         local item = queue.items[i]
-        queue.window:removeChildWindow(item)
+        queue.window:removeChild(item)
         winMgr:destroyWindow(item)
     end
@@ -199,5 +198,5 @@
         relativeHeight = 0
     end
-    queueWindow:setSize(CEGUI.UVector2(CEGUI.UDim(relativeWidth, absoluteWidth), CEGUI.UDim(relativeHeight, absoluteHeigth)))
+    queueWindow:setSize(CEGUI.USize(CEGUI.UDim(relativeWidth, absoluteWidth), CEGUI.UDim(relativeHeight, absoluteHeigth)))
 end
 
@@ -283,12 +282,12 @@
 
 function P.itemHeightHelper(queue)
-    local item = winMgr:createWindow("MenuWidgets/StaticText", "orxonox/NotificationLayer/Root/Test/")
+    local item = winMgr:createWindow("MenuWidgets/StaticText", "NotificationLayer/Root/Test/")
     item:setText("text")
     P.setItemFontHelper(item, queue, true)
-    queue.window:addChildWindow(item)
-    item:setSize(CEGUI.UVector2(CEGUI.UDim(1, 0), CEGUI.UDim(1, 0)))
+    queue.window:addChild(item)
+    item:setSize(CEGUI.USize(CEGUI.UDim(1, 0), CEGUI.UDim(1, 0)))
     item:setProperty("FrameEnabled", "false")
     local height = getStaticTextWindowHeight(item)
-    queue.window:removeChildWindow(item)
+    queue.window:removeChild(item)
     winMgr:destroyWindow(item)
     return height
Index: code/branches/cegui0.8_ogre1.9/data/levels/AnihilationThreat.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/AnihilationThreat.oxw	(revision 11801)
+++ code/branches/cegui0.8_ogre1.9/data/levels/AnihilationThreat.oxw	(revision 11802)
@@ -47,5 +47,5 @@
     fontSize="23"
     fontColor="0.8, 0.5, 0.2, 0.8"
-    alignment="HorzCentred"
+    alignment="CentreAligned"
     displaySize="0.6, 0, 0, 0"
     />
Index: code/branches/cegui0.8_ogre1.9/data/levels/ArrowLevel.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/ArrowLevel.oxw	(revision 11801)
+++ code/branches/cegui0.8_ogre1.9/data/levels/ArrowLevel.oxw	(revision 11802)
@@ -36,5 +36,5 @@
     fontSize="23"
     fontColor="0.3, 1, 0.2, 0.8"
-    alignment="HorzCentred"
+    alignment="CentreAligned"
     displaySize="0.6, 0, 0, 0"
     />
Index: code/branches/cegui0.8_ogre1.9/data/levels/ProtectBoss.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/ProtectBoss.oxw	(revision 11801)
+++ code/branches/cegui0.8_ogre1.9/data/levels/ProtectBoss.oxw	(revision 11802)
@@ -36,5 +36,5 @@
     fontSize="16"
     fontColor="0.3, 1, 0.2, 0.8"
-    alignment="HorzCentred"
+    alignment="CentreAligned"
     displaySize="0.6, 0, 0, 0"
   />
Index: code/branches/cegui0.8_ogre1.9/data/levels/expeditionSector.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/expeditionSector.oxw	(revision 11801)
+++ code/branches/cegui0.8_ogre1.9/data/levels/expeditionSector.oxw	(revision 11802)
@@ -35,5 +35,5 @@
         fontSize="15"
         fontColor="0.3, 1, 0.2, 0.8"
-        alignment="HorzCentred"
+        alignment="CentreAligned"
         displaySize="0.7, 0, 0, 0"
     />
Index: code/branches/cegui0.8_ogre1.9/data/levels/iJohnVane_TriptoArea51.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/iJohnVane_TriptoArea51.oxw	(revision 11801)
+++ code/branches/cegui0.8_ogre1.9/data/levels/iJohnVane_TriptoArea51.oxw	(revision 11802)
@@ -37,5 +37,5 @@
     fontSize="23"
     fontColor="0.3, 1, 0.2, 0.8"
-    alignment="HorzCentred"
+    alignment="CentreAligned"
     displaySize="0.6, 0, 0, 0"
     />
Index: code/branches/cegui0.8_ogre1.9/data/levels/iiJohnVane_Area51UnderFire.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/iiJohnVane_Area51UnderFire.oxw	(revision 11801)
+++ code/branches/cegui0.8_ogre1.9/data/levels/iiJohnVane_Area51UnderFire.oxw	(revision 11802)
@@ -51,5 +51,5 @@
     fontSize="23"
     fontColor="0.3, 1, 0.2, 0.8"
-    alignment="HorzCentred"
+    alignment="CentreAligned"
     displaySize="0.6, 0, 0, 0"
     />
Index: code/branches/cegui0.8_ogre1.9/data/levels/iiiJohnVane_EscapeTheBastards.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/iiiJohnVane_EscapeTheBastards.oxw	(revision 11801)
+++ code/branches/cegui0.8_ogre1.9/data/levels/iiiJohnVane_EscapeTheBastards.oxw	(revision 11802)
@@ -60,5 +60,5 @@
     fontSize="23"
     fontColor="0.3, 1, 0.2, 0.8"
-    alignment="HorzCentred"
+    alignment="CentreAligned"
     displaySize="0.6, 0, 0, 0"
     />
Index: code/branches/cegui0.8_ogre1.9/data/levels/includes/notifications.oxi
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/includes/notifications.oxi	(revision 11801)
+++ code/branches/cegui0.8_ogre1.9/data/levels/includes/notifications.oxi	(revision 11802)
@@ -16,5 +16,5 @@
     fontSize="24"
     fontColor="1, 1, 0, 0.8"
-    alignment="HorzCentred"
+    alignment="CentreAligned"
     displaySize="0.6, 0, 0, 0"
 />
Index: code/branches/cegui0.8_ogre1.9/data/levels/kecks.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/kecks.oxw	(revision 11801)
+++ code/branches/cegui0.8_ogre1.9/data/levels/kecks.oxw	(revision 11802)
@@ -41,5 +41,5 @@
     fontSize="23"
     fontColor="0.3, 1, 0.2, 0.8"
-    alignment="HorzCentred"
+    alignment="CentreAligned"
     displaySize="0.6, 0, 0, 0"
     />
Index: code/branches/cegui0.8_ogre1.9/data/levels/maxim.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/maxim.oxw	(revision 11801)
+++ code/branches/cegui0.8_ogre1.9/data/levels/maxim.oxw	(revision 11802)
@@ -38,5 +38,5 @@
     fontSize="23"
     fontColor="0.3, 1, 0.2, 0.8"
-    alignment="HorzCentred"
+    alignment="CentreAligned"
     displaySize="0.6, 0, 0, 0"
     />
Index: code/branches/cegui0.8_ogre1.9/data/levels/missionOne.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/missionOne.oxw	(revision 11801)
+++ code/branches/cegui0.8_ogre1.9/data/levels/missionOne.oxw	(revision 11802)
@@ -37,5 +37,5 @@
     fontSize="23"
     fontColor="0.3, 1, 0.2, 0.8"
-    alignment="HorzCentred"
+    alignment="CentreAligned"
     displaySize="0.6, 0, 0, 0"
     />
Index: code/branches/cegui0.8_ogre1.9/data/levels/notifications.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/notifications.oxw	(revision 11801)
+++ code/branches/cegui0.8_ogre1.9/data/levels/notifications.oxw	(revision 11802)
@@ -27,5 +27,5 @@
       fontSize="23"
       fontColor="0.3, 1, 0.2, 0.8"
-      alignment="HorzCentred"
+      alignment="CentreAligned"
       displaySize="0.6, 0, 0, 0"
       />
Index: code/branches/cegui0.8_ogre1.9/data/levels/presentationFS11.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/presentationFS11.oxw	(revision 11801)
+++ code/branches/cegui0.8_ogre1.9/data/levels/presentationFS11.oxw	(revision 11802)
@@ -38,5 +38,5 @@
     fontSize="24"
     fontColor="0.3, 1, 0.2, 0.8"
-    alignment="HorzCentred"
+    alignment="CentreAligned"
     displaySize="0.6, 0, 0, 0"
     />
Index: code/branches/cegui0.8_ogre1.9/data/levels/presentationHS11.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/presentationHS11.oxw	(revision 11801)
+++ code/branches/cegui0.8_ogre1.9/data/levels/presentationHS11.oxw	(revision 11802)
@@ -37,5 +37,5 @@
     fontSize="23"
     fontColor="0.3, 1, 0.2, 0.8"
-    alignment="HorzCentred"
+    alignment="CentreAligned"
     displaySize="0.6, 0, 0, 0"
     />
Index: code/branches/cegui0.8_ogre1.9/data/levels/presentationHS12.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/presentationHS12.oxw	(revision 11801)
+++ code/branches/cegui0.8_ogre1.9/data/levels/presentationHS12.oxw	(revision 11802)
@@ -48,5 +48,5 @@
     fontSize="24"
     fontColor="0.3, 1, 0.2, 0.8"
-    alignment="HorzCentred"
+    alignment="CentreAligned"
     displaySize="0.6, 0, 0, 0"
     />
Index: code/branches/cegui0.8_ogre1.9/data/levels/shuttleAttack.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/shuttleAttack.oxw	(revision 11801)
+++ code/branches/cegui0.8_ogre1.9/data/levels/shuttleAttack.oxw	(revision 11802)
@@ -36,5 +36,5 @@
         fontSize="15"
         fontColor="0.3, 1, 0.2, 0.8"
-        alignment="HorzCentred"
+        alignment="CentreAligned"
         displaySize="0.7, 0, 0, 0"
     />
Index: code/branches/cegui0.8_ogre1.9/data/levels/shuttleRetaliation.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/shuttleRetaliation.oxw	(revision 11801)
+++ code/branches/cegui0.8_ogre1.9/data/levels/shuttleRetaliation.oxw	(revision 11802)
@@ -35,5 +35,5 @@
         fontSize="15"
         fontColor="0.3, 1, 0.2, 0.8"
-        alignment="HorzCentred"
+        alignment="CentreAligned"
         displaySize="0.7, 0, 0, 0"
     />